Bug 145619 - msr device nodes created in wrong place
msr device nodes created in wrong place
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: udev (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
Brian Brock
:
Depends On:
Blocks: 156322
  Show dependency treegraph
 
Reported: 2005-01-19 22:58 EST by blbooth
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2005-388
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-05 09:41:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description blbooth 2005-01-19 22:58:38 EST
Description of problem:

Loading the msr kernel module creates /dev/msr0, but x86info looks for
/dev/cpu/0/msr, and gives an error when the device isn't found.

Creating a symlink /dev/cpu/0/msr -> /dev/msr0 fixes the problem.


Steps to Reproduce:

1. modprobe msr
2. x86info -a
  
Actual results:
x86info output contains line
/dev/cpu/0/msr: No such file or directory


Additional info:
Confirmed on two different single CPU systems (Celeron-Mendocino and
Pentium Pro)
Comment 1 Dave Jones 2005-01-19 23:06:09 EST
these *should* be in /dev/cpu/0/msr, so udev is creating them in the wrong place.
Comment 5 Guy Streeter 2005-03-31 11:33:29 EST
# ls -l /dev/cpu*
crw-------  1 root root 203, 0 Mar 31 10:18 /dev/cpu0
crw-------  1 root root 203, 1 Mar 31 10:18 /dev/cpu1

Same problem with cpuid files. See

/dev/cpu/0/cpuid: No such file or directory

error from x86info
Comment 6 Guy Streeter 2005-03-31 11:34:25 EST
problem still exists in released RHEL4
Comment 16 Konstantin Olchanski 2005-08-11 01:58:18 EDT
On x86_64 Fedora 3, the "msr" device nodes are absent altogether (and there is
no msr.ko loadable module). After I do "mknod msr0 c 202 0", "mknod msr1 c 202
1" (and so forth), access to the msr's seems to work fine. K.O.
Comment 17 Red Hat Bugzilla 2005-10-05 09:41:13 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-388.html

Note You need to log in before you can comment on or make changes to this bug.